Bug 505566 - timex.h: #define MOD_NANO ADJ_NANO missing
timex.h: #define MOD_NANO ADJ_NANO missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Schwab
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 09:25 EDT by udo
Modified: 2009-11-22 21:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-22 21:46:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2009-06-12 09:25:55 EDT
Description of problem:
timex.h as distributed with F11 is missing the definition for MOD_NANO, necessary to build ntpd with nano support.

Version-Release number of selected component (if applicable):
glibc-headers-2.10.1-2.i586

How reproducible:
Upgrade F10 to F11.
Compile ntpd

Steps to Reproduce:
1. Upgrade F10 to F11.
2. Compile ntpd
3. See error about missing MOD_NANO
  
Actual results:
error about missing MOD_NANO

Expected results:
Clean compile

Additional info:
#define MOD_NANO        ADJ_NANO

--- timex.h.normaal.ok	2009-06-12 12:48:48.000000000 +0200
+++ timex.h	2009-06-12 12:57:44.000000000 +0200
@@ -85,6 +85,7 @@
 #define MOD_TIMECONST	ADJ_TIMECONST
 #define MOD_CLKB	ADJ_TICK
 #define MOD_CLKA	ADJ_OFFSET_SINGLESHOT /* 0x8000 in original */
+#define MOD_NANO        ADJ_NANO
 
 
 /* Status codes (timex.status) */
Comment 1 udo 2009-06-12 09:26:51 EDT
sys/timex.h
Comment 2 Miroslav Lichvar 2009-06-12 12:10:40 EDT
Please add also:

#define MOD_TAI ADJ_TAI
Comment 3 udo 2009-06-13 05:17:14 EDT
Also see https://bugzilla.redhat.com/show_bug.cgi?id=479558
Comment 4 Ulrich Drepper 2009-11-22 21:46:36 EST
Upstream has the definitions.  Should be in the next rawhide build.

Note You need to log in before you can comment on or make changes to this bug.